Skip to main content
GET
cURL

Authorizations

Authorization
string
header
required

An API key is a token that you provide when making API calls. Read more about how to secure your project.

Include the API key to the Authorization header, for instance:

If you use a SDK, ensure you instantiate the client with the API key, for instance with JS SDK:

Path Parameters

index_uid
string
required

Unique identifier of the index.

Response

Returns the current value of the typoTolerance setting.

Typo tolerance: how spelling mistakes in queries are handled.

enabled
boolean | null
default:true

When true, typo tolerance is enabled. When false, only exact matches are returned.

Example:

true

minWordSizeForTypos
null | object

Minimum word length before typos are allowed. Contains oneTypo (min length for 1 typo) and twoTypos (min length for 2 typos). Example: { "oneTypo": 5, "twoTypos": 9 }.

disableOnWords
string[] | null

Words for which typo tolerance is disabled. Use for brand names or terms that must match exactly.

Example:
disableOnAttributes
string[] | null

Attributes for which typo tolerance is disabled. Those attributes only return exact matches. Useful for fields like product codes or IDs.

Example:
disableOnNumbers
boolean | null
default:false

When true, typo tolerance is disabled on numeric tokens. For example, 123 will not match 132.

Example:

false